/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "holdemrender.h"

void holdemRenderWorld() {
  shaderUseTexture(GAME_STATE.shaderWorld, HOLDEM_GAME_STATE.texture);
  shaderUsePosition(GAME_STATE.shaderWorld, 0, 0, 0, 0, 0, 0);
  shaderUsePosition(GAME_STATE.shaderWorld, 0, 0, 0, TIME_STATE.current, TIME_STATE.current, 0);
  primitiveDraw(HOLDEM_GAME_STATE.cube, 0, -1);
}